#!/usr/bin/env python
	
# Authors:Xiaohong Zhuang, Dr.Jeffery B. Klauda
#    Date:4/15/2016
	
# Calculate the mean and percentage 
import math
import numpy as np

# Read the lipid name and lipid number
filetoread = "Nlip.txt"
fob=open(filetoread,'r')
Nlip=fob.readlines()

listLip = []; listNum = []
for line in Nlip:
	NaNm = line.strip().split()
	Lip = NaNm[0].lower(); Num = NaNm[1];
	listLip.append(Lip); listNum.append(int(Num));

# Read the group names based on cmp
filetoread = "avg-intra.txt" 
fob=open(filetoread,'r')
avg=fob.readlines()

print '%s\t%s\t%s\t%s\t%s\t%s' % ('Lip','Nlip','N_avg','N_se','Na/lip','Nse/lip')
for i in range(0,len(listLip),1):
	Lavg = []; Lse = [];
	for line in avg:
		lippair = line.strip().split();
		if 'TotG' in line and listLip[i].upper() in line:			
			lipn=lippair[0];numlip=lippair[1];Na=lippair[3];SE=lippair[4];Nap=lippair[5];SEp=lippair[6];
			print '%s\t%s\t%s\t%s\t%s\t%s' % (lipn,numlip,Na,SE,Nap,SEp)

if len(listLip) > 1:
	print " "
	print '%s\t%i' % ('TotL',sum(listNum))



