#!/usr/bin/env python
	
# Authors:Xiaohong Zhuang, Dr.Jeffery B. Klauda
#    Date:4/15/2016
	
# Calculate the mean and percentage 
import math
import numpy as np

# Read number of dyn
fob = open('Ndyn.txt','r')
Ndyn = fob.readline()
Ndyn = Ndyn.strip()
Ndyn = int(Ndyn)
fob.close()

# Read the lipid name and lipid number
filetoread = "Nlip.txt"
fob=open(filetoread,'r')
Nlip=fob.readlines()

listLip = []; listNum = []
for line in Nlip:
	NaNm = line.strip().split()
	Lip = NaNm[0].lower(); Num = NaNm[1];
	listLip.append(Lip); listNum.append(int(Num));

# Read the group names based on cmp
filetoread = "avg-all.txt" 
fob=open(filetoread,'r')
avg=fob.readlines()

print '%s\t%s\t%s\t%s\t%s\t%s' % ('Lip','Nlip','N_avg','N_se','Na/lip','Nse/lip')
for i in range(0,len(listLip),1):
	Lavg = []; Lse = [];
	for line in avg:
		lippair = line.strip().split();
		if 'TotG' in line and listLip[i] in line:
			Navg=float(lippair[2]);Nse=float(lippair[3]);
			Lavg.append(Navg); Lse.append(Nse);
	print '%s\t%i\t%2.4f\t%2.4f\t%2.4f\t%2.4f' % (listLip[i].upper(),listNum[i],sum(Lavg),sum(Lse),sum(Lavg)/listNum[i],sum(Lse)/listNum[i])

if len(listLip) > 1:
	print " "
	print '%s\t%i' % ('TotL',sum(listNum))



