#!/usr/bin/env python
	
# Authors:Xiaohong Zhuang, Dr.Jeffery B. Klauda
#    Date:4/15/2016
	
# Calculate the mean and percentage 
import math
import numpy as np

# Read the lipid name of intra HB
filetoread = "../1-intra/Nlip.txt"
fob=open(filetoread,'r')
NlipI=fob.readlines()

listLipI = [];listNumI = [];
for line in NlipI:
	NaNmI = line.strip().split()
	LipI = NaNmI[0]; NumI= NaNmI[1]; 
	listLipI.append(LipI); listNumI.append(float(NumI));


# Read the lipid name of intra HB
filetoread = "../1-intra/avg-perc-intra.txt"
fob=open(filetoread,'r')
Intra=fob.readlines()

listNaI = []; listSEI = [];
for i in range(0,len(listLipI),1):
	for line in Intra:
		if listLipI[i] in line:
			lineI = line.strip().split()
			NaI = float(lineI[2]); SEI=float(lineI[3]);
			listNaI.append(NaI); listSEI.append(SEI);

# Read the lipid name of all HB
filetoread = "../2-all/avg-perc-all.txt"
fob=open(filetoread,'r')
All=fob.readlines()

listNaA = []; listSEA = [];
for i in range(0,len(listLipI),1):
	for line in All:
		if listLipI[i] in line:
			lineA = line.strip().split()
			NaA = float(lineA[2]); SEA=float(lineA[3]);
			listNaA.append(NaA); listSEA.append(SEA);

# Calculate interlipid HB
listNaT = []; listSET = [];listNapT = [];listSEpT = [];
for i in range(0,len(listLipI),1):
	NaT=listNaA[i]-listNaI[i];SET = listSEA[i]-listSEI[i]; NapT=NaT/float(listNumI[i]); SEpT=SET/listNumI[i];
	listNaT.append(NaT); listSET.append(SET);listNapT.append(NapT);listSEpT.append(SEpT);

# Print non-calculated [same to all] lipid HB
# Read the lipid name of all HB
filetoread = "avg-perc-all-sed.txt"
fob=open(filetoread,'r')
Alls=fob.readlines()
for line in Alls:
	lineAs = line.strip().split(); 
	LipAs=lineAs[0];Nas=lineAs[1];SEs=lineAs[2];Naps=lineAs[3];SEps=lineAs[4];
	if LipAs not in listLipI:
		print line,

# Print the calulcated interlipid HB
for i in range(0,len(listLipI),1):
	print '%s\t%i\t%2.4f\t%2.4f\t%2.4f\t%2.4f' % (listLipI[i],listNumI[i],listNaT[i],listSET[i],listNapT[i],listSEpT[i])


